GDB (xrefs)

Classes | Macros | Enumerations
/tmp/gdb-8.1/gdb/mn10300-tdep.h File Reference

Go to the source code of this file.

## Classes
struct | gdbarch_tdep

## Macros
#define | AM33_MODE(gdbarch) (gdbarch_tdep (gdbarch)->am33_mode)

## Enumerations
enum | { E_D0_REGNUM = 0, E_D1_REGNUM = 1, E_D2_REGNUM = 2, E_D3_REGNUM = 3, E_A0_REGNUM = 4, E_A1_REGNUM = 5, E_A2_REGNUM = 6, E_A3_REGNUM = 7, E_SP_REGNUM = 8, E_PC_REGNUM = 9, E_MDR_REGNUM = 10, E_PSW_REGNUM = 11, E_LIR_REGNUM = 12, E_LAR_REGNUM = 13, E_MDRQ_REGNUM = 14, E_E0_REGNUM = 15, E_E1_REGNUM = 16, E_E2_REGNUM = 17, E_E3_REGNUM = 18, E_E4_REGNUM = 19, E_E5_REGNUM = 20, E_E6_REGNUM = 21, E_E7_REGNUM = 22, E_E8_REGNUM = 23, E_E9_REGNUM = 24, E_E10_REGNUM = 25, E_MCRH_REGNUM = 26, E_MCRL_REGNUM = 27, E_MCVF_REGNUM = 28, E_FPCR_REGNUM = 29, E_FS0_REGNUM = 32 }
enum | movm_register_bits { movm_exother_bit = 0x01, movm_exreg1_bit = 0x02, movm_exreg0_bit = 0x04, movm_other_bit = 0x08, movm_a3_bit = 0x10, movm_a2_bit = 0x20, movm_d3_bit = 0x40, movm_d2_bit = 0x80 }
enum | frame_kind { MY_FRAME_IN_SP = 0x1, MY_FRAME_IN_FP = 0x2, NO_MORE_FRAMES = 0x4 }

## Macro Definition Documentation

## ◆ AM33_MODE

#define AM33_MODE | ( |  | gdbarch | ) | (gdbarch_tdep (gdbarch)->am33_mode)

Definition at line 79 of file mn10300-tdep.h.

Referenced by mn10300_analyze_prologue().

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
E_D0_REGNUM |
E_D1_REGNUM |
E_D2_REGNUM |
E_D3_REGNUM |
E_A0_REGNUM |
E_A1_REGNUM |
E_A2_REGNUM |
E_A3_REGNUM |
E_SP_REGNUM |
E_PC_REGNUM |
E_MDR_REGNUM |
E_PSW_REGNUM |
E_LIR_REGNUM |
E_LAR_REGNUM |
E_MDRQ_REGNUM |
E_E0_REGNUM |
E_E1_REGNUM |
E_E2_REGNUM |
E_E3_REGNUM |
E_E4_REGNUM |
E_E5_REGNUM |
E_E6_REGNUM |
E_E7_REGNUM |
E_E8_REGNUM |
E_E9_REGNUM |
E_E10_REGNUM |
E_MCRH_REGNUM |
E_MCRL_REGNUM |
E_MCVF_REGNUM |
E_FPCR_REGNUM |
E_FS0_REGNUM |

Definition at line 20 of file mn10300-tdep.h.

## ◆ frame_kind

enum frame_kind

Enumerator
MY_FRAME_IN_SP |
MY_FRAME_IN_FP |
NO_MORE_FRAMES |

Definition at line 67 of file mn10300-tdep.h.

## ◆ movm_register_bits

enum movm_register_bits

Enumerator
movm_exother_bit |
movm_exreg1_bit |
movm_exreg0_bit |
movm_other_bit |
movm_a3_bit |
movm_a2_bit |
movm_d3_bit |
movm_d2_bit |

Definition at line 54 of file mn10300-tdep.h.